Skip to content

GET /v1/harness-examples — list all available harness examples.

GET
/v1/harness-examples

List of harness examples

Array<object>

A read-only harness example defined in code.

object
capabilities
required

Capabilities the example will assign with their per-harness config.

Array<object>

Per-agent capability configuration

Associates a capability with an agent, including optional per-agent configuration. The config field allows the same capability to behave differently per-agent.

object
config

Per-agent configuration for this capability (capability-specific)

ref
required

Reference to the capability ID

string
description
required

Short description.

string
dev_only
required

Whether this example is only available when experimental features are on.

boolean
display_name
required

Human-readable display name (e.g. Data Analyst).

string
name
required

Unique slug (e.g. data-analyst).

string
parent_name

Name of the parent harness this example inherits from when adopted (e.g. generic). Resolved per-org at import time — no UUIDs are hardcoded.

string | null
tags
required

Tags for categorization.

Array<string>